mysql2<3.9.7 代码注入漏洞

来源: 投稿
2024-04-24 10:30:00

漏洞描述

mysql2 是用于操作 MySQL 数据库的高性能Node.js库,可兼容 Node MySQL API、并提供预编译语句、扩展编码等功能。

受影响版本的 readCodeFor 函数在调用 readDateTimeString 函数处理日期时拼接时区参数 timezone,导致代码注入漏洞。

攻击者可构造恶意的时区参数(如:'); payload// )在mysql2客户端中远程执行任意代码。

漏洞名称 mysql2<3.9.7 代码注入漏洞
漏洞类型 代码注入
发现时间 2024-04-23
漏洞影响广度 广
MPS编号 MPS-c0j3-khva
CVE编号 CVE-2024-21511
CNVD编号 -

影响范围

mysql2@[0.0.1, 3.9.7)

修复方案

升级mysql2到 3.9.7 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-c0j3-khva

https://nvd.nist.gov/vuln/detail/CVE-2024-21511

https://github.com/sidorares/node-mysql2/commit/7d4b098c7e29d5a6cb9eac2633bfcc2f0f1db713

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击加入讨论🔥(1) 发布并加入讨论🔥
1 评论
0 收藏
分享
返回顶部
顶部